%define		package	Stopwatch
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Stopwatch Component
Name:		php-symfony2-Stopwatch
Version:	2.7.5
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	b96ea7758a32b6c2493945adf5d7a00d
URL:		http://symfony.com/doc/2.7/components/stopwatch.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(spl)
Requires:	php-pear >= 4:1.3.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stopwatch component provides a way to profile code.

%prep
%setup -q -n stopwatch-%{version}

%build
phpab -n -e '*/Tests/*' -o autoloader.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
cp -a *.php $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/Stopwatch
%{php_pear_dir}/Symfony/Component/Stopwatch/*.php
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Stopwatch.git;a=log;h=auto/th/php-symfony2-Stopwatch-2.7.5-1

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 2b14f19
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 18969dd
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> edf04f0
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> a1555b2
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 5590593
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 70acc7f
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 4b05f36
- new, version 2.3.4

